package algorithms.geneticAlgorithm.holegGA;

import classes.AbstractCpsObject;
import classes.CpsEdge;

public class GAEdge extends CpsEdge {
	
	public int aPos;
	public int bPos;
	
	public GAEdge(int a, int b, AbstractCpsObject nodeA, AbstractCpsObject nodeB){
		super(nodeA,nodeB, CAPACITY_INFINITE);
		aPos = a;
		bPos = b;
	}
	
	public void revalidateConnection(){
		if(!this.getA().getConnections().contains(this)){
			this.getA().getConnections().add(this);
		}
		if(!this.getB().getConnections().contains(this)){
			this.getB().getConnections().add(this);
		}
	}

}
