package algorithms.geneticAlgorithm.holegGA;

import java.util.ArrayList;

public class ParameterArray {
	
	public static int POPULATION_SIZE = 0;
	public static int TOURNAMENT_SIZE = 1;
	public static int EDIT_EDGES = 2;
	public static int MAX_EDGES = 3;
	public static int EDGE_BREAK_AMOUNT = 4;
	public static int SIM_ITERATIONS = 5;
	public static int EDGE_MUTATION_PROB = 6;
	public static int SUPPLIED_POINTS = 7;
	public static int UNDERSUPPLIED_POINTS = 8;
	public static int OVERSUPPLIED_POINTS = 9;
	public static int LENGTH_POINTS = 10;
	public static int WILDCARD_MUTATION_PROB = 11;
	public static int PARTIALSUPPLIED_POINTS = 12;
	public static int WILDCARD_USAGE = 13;
	public static int OVERPRODUCTION = 14;
	public static int NODES_IN_WILDCARDS = 15;
	public static int OBJECT_SPACE = 16;
	public static int ORIGINAL_NETWORK = 17;
	public static int TOURNAMENT_PROB = 18;
	
	public ArrayList<Object> list = new ArrayList<Object>();
	
	public ParameterArray(){
		for(int i = 0; i < 19; i++){
			list.add(new Object());
		}
	}
	
	public Object get(int index){
		return list.get(index);
	}
	
	public <T extends Object> void set(int index, T object){
		list.set(index, object);
	}

}
