package classes;

import java.util.ArrayList;

public class HolonWildCard extends AbstractCpsObject {
	
	AbstractCpsObject holdingObject;
	
	public HolonWildCard(String objName){
		super(objName);
		this.setConnections(new ArrayList<CpsEdge>());
		this.setImage("/Images/wildCard.png");
		this.setSav("CVS");
		this.setId(IdCounter.nextId());
		holdingObject = this;
	}

	public HolonWildCard(AbstractCpsObject obj) {
		super(obj);
		holdingObject = this;
		
	}

	@Override
	public AbstractCpsObject makeCopy() {
		return new HolonWildCard(this);
	}
	
	public void setHoldingObject(AbstractCpsObject object){
		this.holdingObject = object;
	}
	
	public AbstractCpsObject getHoldingObject(){
		return holdingObject;
	}

}
